Bug 10634 - search missing in resolv.conf
Summary: search missing in resolv.conf
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-07 14:53 UTC by Michael Redinger
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-11 18:28:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Redinger 2000-04-07 14:53:32 UTC
Right after installation, resolv.conf does contain the nameservers I
entered during (graphical) installation, but search [domain] is missing. No
wonder - the installer doesn't ask about this ...
Therefore I suppose this is not easy to fix, you would have to change the
install disks. However, a more trivial fix would be to check if the
hostname entered is fully qualified (contains a dot). If yes, skip the host
part and enter the rest as search.

Comment 1 Jay Turner 2000-04-11 16:38:59 UTC
What did you enter in the "Hostname" field in the graphical installation??  The
intent was that the user enter the FQDN here, and that would be parsed to give
the correct entry in /etc/resolv.conf.

Comment 2 Michael Redinger 2000-04-11 18:28:59 UTC
Ok, that is it.
Changed to NOTABUG - although I'm not quite sure about this ... the former
method - a field were you had to enter the search domain - was IMO
much more obvious ...

Comment 3 Daniel Roesen 2000-04-14 23:51:59 UTC
ACK
The input box should clearly state that you have to enter a *FQDN*.


Note You need to log in before you can comment on or make changes to this bug.